Subject: [Rtg-yang-coord] Augment target path

From: "Acee Lindem (acee)" <[email-masked]>
Date: Wed, 1 Apr 2015 14:59:30 +0000

I’m trying to test out augmentation and am not able to get pyang to find
the target node. What am I missing? I’m trying to augment the crypto
algorithm types in 
http://www.ietf.org/id/draft-acee-rtg-yang-key-chain-03.txt

I tried both augmenting the “choice” in the “grouping”

    augment “/key-chain:crypto-algorithm-types/key-chain:algorithm” { …

And augmenting the “choice” in the “container" using the “grouping”.

   augment “/key-chain:crypto-algorithm/key-chain:algorithm” { …

In both cases, it wasn’t found.

Thanks,
Acee

---

From: Giles Heron <[email-masked]>
Date: Wed, 1 Apr 2015 16:43:25 +0100

Hi Acee,

I don't think you can augment a grouping (as groupings don't actually exist in the data tree).

From RFC6020 section 7.15: "The target node MUST be either a container, list, choice, case, input, output, or notification node."

can you try:

augment "/key-chain:key-chains/key-chain:key/key-chain:crypto-algorithm/key-chain:algorithm" {...

Giles

On 1 Apr 2015, at 15:59, Acee Lindem (acee) <[email-masked]> wrote:

> _______________________________________________
> Rtg-yang-coord mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/rtg-yang-coord

---

From: "Acee Lindem (acee)" <[email-masked]>
Date: Wed, 1 Apr 2015 18:16:35 +0000

Hi Giles, 
That worked. YANG has an interesting syntax to split long lines.
Thanks,

On 4/1/15, 11:43 AM, "Giles Heron" <[email-masked]> wrote:

>From RFC6020 section 7.15: "The target node MUST be either a container,
>list, choice, case, input, output, or notification node."
>
>can you try:
>
>augment 
>"/key-chain:key-chains/key-chain:key/key-chain:crypto-algorithm/key-chain:
>algorithm" {...
>
>Giles
>